/*
 * Class WEL_COMMAND_MANAGER
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_612 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_612 [] = {0xFF01,1551,611,0xFFFF};
static const EIF_TYPE_INDEX egt_2_612 [] = {0xFF01,611,0xFFFF};
static const EIF_TYPE_INDEX egt_3_612 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_612 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_612 [] = {0xFF01,611,0xFFFF};
static const EIF_TYPE_INDEX egt_6_612 [] = {0xFF01,611,0xFFFF};
static const EIF_TYPE_INDEX egt_7_612 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_612 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_612 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_612 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_612 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_612 [] = {0xFF01,611,0xFFFF};
static const EIF_TYPE_INDEX egt_13_612 [] = {0xFF01,1567,0xFF01,96,0xFFFF};
static const EIF_TYPE_INDEX egt_14_612 [] = {96,0xFFFF};
static const EIF_TYPE_INDEX egt_15_612 [] = {0xFF01,610,0xFFFF};
static const EIF_TYPE_INDEX egt_16_612 [] = {0xFF01,1669,869,0xFFFF};
static const EIF_TYPE_INDEX egt_17_612 [] = {0xFF01,96,0xFFFF};
static const EIF_TYPE_INDEX egt_18_612 [] = {0xFF01,601,0xFFFF};
static const EIF_TYPE_INDEX egt_19_612 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_20_612 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_21_612 [] = {0xFF01,611,0xFFFF};
static const EIF_TYPE_INDEX egt_22_612 [] = {0xFF01,1547,0xFF01,96,0xFFFF};
static const EIF_TYPE_INDEX egt_23_612 [] = {0xFF01,1668,869,0xFFFF};
static const EIF_TYPE_INDEX egt_24_612 [] = {0xFF01,1668,869,0xFFFF};
static const EIF_TYPE_INDEX egt_25_612 [] = {0xFF01,2011,866,0xFFFF};
static const EIF_TYPE_INDEX egt_26_612 [] = {0xFF01,96,0xFFFF};
static const EIF_TYPE_INDEX egt_27_612 [] = {0xFF01,96,0xFFFF};
static const EIF_TYPE_INDEX egt_28_612 [] = {0xFF01,580,0xFFFF};
static const EIF_TYPE_INDEX egt_29_612 [] = {869,0xFFFF};
static const EIF_TYPE_INDEX egt_30_612 [] = {0xFF01,1665,0xFF01,96,869,0xFFFF};
static const EIF_TYPE_INDEX egt_31_612 [] = {0xFF01,96,0xFFFF};
static const EIF_TYPE_INDEX egt_32_612 [] = {869,0xFFFF};


static const struct desc_info desc_612[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_612), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_612), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_612), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13204, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_612), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_612), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_612), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_612), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_612), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_612), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_612), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_612), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_612), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x04C7 /*611*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_612), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13268, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8598, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8599, 24},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8600, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8601, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 8602, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_612), 13203, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_612), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_612), 13017, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13260, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13261, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13262, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xC1 /*96*/), 13263, 0},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13266, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13267, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_612), 13269, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_612), 13270, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13271, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_612), 13272, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13275, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13277, 28},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13281, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13282, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13286, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13287, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13288, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13289, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13290, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13291, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13292, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13293, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13294, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13297, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13298, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13299, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13300, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xC1 /*96*/), 13301, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_612), 13302, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_612), 13192, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13195, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13196, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13197, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13198, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13199, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13202, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_612), 13205, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13207, 25},
	{EIF_GENERIC(egt_22_612), 13208, 4},
	{EIF_GENERIC(egt_23_612), 13209, 8},
	{EIF_GENERIC(egt_24_612), 13210, 12},
	{EIF_GENERIC(egt_25_612), 13211, 16},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13212, 32},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13213, 26},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13214, 36},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13215, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13216, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13217, 40},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13218, 44},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13219, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13220, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13221, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13222, 48},
	{EIF_NON_GENERIC(0xC1 /*96*/), 13223, 20},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13224, 52},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13225, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13226, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13227, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13228, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13229, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13230, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13231, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13232, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13233, 0xFFFFFFFF},
	{EIF_GENERIC(egt_26_612), 13234, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13235, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xC1 /*96*/), 13236, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13237, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13238, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13239, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13240, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13241, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13242, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13243, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13244, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13245, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13246, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13247, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13248, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13249, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13250, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13251, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13252, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13253, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13254, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13255, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13256, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13257, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13276, 56},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13276, 56},
	{EIF_GENERIC(egt_27_612), 13274, 0xFFFFFFFF},
	{EIF_GENERIC(egt_28_612), 13279, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13296, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13283, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13284, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13285, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9009, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9055, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13258, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9010, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13200, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 9011, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13201, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xC1 /*96*/), 13264, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0xC1 /*96*/), 13265, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13295, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13193, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13194, 0xFFFFFFFF},
	{EIF_GENERIC(egt_29_612), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_30_612), 13273, 0xFFFFFFFF},
	{EIF_GENERIC(egt_31_612), -1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13278, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13772, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13773, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 13774, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 13775, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 13776, 0xFFFFFFFF},
	{EIF_GENERIC(egt_32_612), -1, 0xFFFFFFFF},
};
void Init612(void)
{
	IDSC(desc_612, 0, 611);
	IDSC(desc_612 + 1, 1, 611);
	IDSC(desc_612 + 32, 1134, 611);
	IDSC(desc_612 + 41, 617, 611);
	IDSC(desc_612 + 43, 1604, 611);
	IDSC(desc_612 + 132, 554, 611);
	IDSC(desc_612 + 133, 1570, 611);
	IDSC(desc_612 + 136, 878, 611);
	IDSC(desc_612 + 137, 1135, 611);
	IDSC(desc_612 + 146, 916, 611);
	IDSC(desc_612 + 152, 1088, 611);
	IDSC(desc_612 + 154, 778, 611);
	IDSC(desc_612 + 155, 432, 611);
	IDSC(desc_612 + 160, 344, 611);
}


#ifdef __cplusplus
}
#endif
